io.vertx.rxjava.mssqlclient

## Class MSSQLConnection

- java.lang.Object
- - io.vertx.rxjava.sqlclient.SqlClient
  - - io.vertx.rxjava.sqlclient.SqlConnection
    - - io.vertx.rxjava.mssqlclient.MSSQLConnection

- All Implemented Interfaces:
    io.vertx.lang.rx.RxDelegate

      public class MSSQLConnection
      extends SqlConnection
      implements io.vertx.lang.rx.RxDelegate

  A connection to Microsoft SQL Server.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<MSSQLConnection>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MSSQLConnection(MSSQLConnection delegate)`
    `MSSQLConnection(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MSSQLConnection` | `cast(SqlConnection sqlConnection)` Cast a to `MSSQLConnection`.
    `MSSQLConnection` | `closeHandler(Handler<Void> handler)` Set an handler called when the connection is closed.
    `static void` | `connect(Vertx vertx, MSSQLConnectOptions connectOptions)` Create a connection to SQL Server with the given `connectOptions`.
    `static void` | `connect(Vertx vertx, MSSQLConnectOptions connectOptions, Handler<AsyncResult<MSSQLConnection>> handler)` Create a connection to SQL Server with the given `connectOptions`.
    `static void` | `connect(Vertx vertx, String connectionUri)` Like `connect(io.vertx.rxjava.core.Vertx, io.vertx.mssqlclient.MSSQLConnectOptions, io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.rxjava.mssqlclient.MSSQLConnection>>)` with options built from `connectionUri`.
    `static void` | `connect(Vertx vertx, String connectionUri, Handler<AsyncResult<MSSQLConnection>> handler)` Like `connect(io.vertx.rxjava.core.Vertx, io.vertx.mssqlclient.MSSQLConnectOptions, io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.rxjava.mssqlclient.MSSQLConnection>>)` with options built from `connectionUri`.
    `boolean` | `equals(Object o)`
    `MSSQLConnection` | `exceptionHandler(Handler<Throwable> handler)` Set an handler called with connection errors.
    `MSSQLConnection` | `getDelegate()`
    `int` | `hashCode()`
    `MSSQLConnection` | `infoHandler(Handler<MSSQLInfo> handler)` Set a handler called when the connection receives an informational message from the server.
    `static MSSQLConnection` | `newInstance(MSSQLConnection arg)`
    `MSSQLConnection` | `prepare(String s)` Create a prepared statement using the given `sql` string.
    `MSSQLConnection` | `prepare(String s, Handler<AsyncResult<PreparedStatement>> handler)` Create a prepared statement using the given `sql` string.
    `static Single<MSSQLConnection>` | `rxConnect(Vertx vertx, MSSQLConnectOptions connectOptions)` Create a connection to SQL Server with the given `connectOptions`.
    `static Single<MSSQLConnection>` | `rxConnect(Vertx vertx, String connectionUri)` Like `connect(io.vertx.rxjava.core.Vertx, io.vertx.mssqlclient.MSSQLConnectOptions, io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.rxjava.mssqlclient.MSSQLConnection>>)` with options built from `connectionUri`.
    `Single<PreparedStatement>` | `rxPrepare(String s)` Create a prepared statement using the given `sql` string.
    `String` | `toString()`

    - ### Methods inherited from class io.vertx.rxjava.sqlclient.SqlConnection

      `begin, begin, close, close, databaseMetadata, isSSL, newInstance, prepare, prepare, rxBegin, rxClose, rxPrepare, transaction`

    - ### Methods inherited from class io.vertx.rxjava.sqlclient.SqlClient

      `newInstance, preparedQuery, preparedQuery, query`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<MSSQLConnection> __TYPE_ARG

  - ### Constructor Detail

    - #### MSSQLConnection

          public MSSQLConnection(MSSQLConnection delegate)

    - #### MSSQLConnection

          public MSSQLConnection(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `SqlConnection`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `SqlConnection`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `SqlConnection`

    - #### getDelegate

          public MSSQLConnection getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`
      Overrides:
        `getDelegate` in class `SqlConnection`

    - #### connect

          public static void connect(Vertx vertx,
                                     MSSQLConnectOptions connectOptions,
                                     Handler<AsyncResult<MSSQLConnection>> handler)

      Create a connection to SQL Server with the given `connectOptions`.
      Parameters:
        `vertx` - the vertx instance
        `connectOptions` - the options for the connection
        `handler` - the handler called with the connection or the failure

    - #### connect

          public static void connect(Vertx vertx,
                                     MSSQLConnectOptions connectOptions)

      Create a connection to SQL Server with the given `connectOptions`.
      Parameters:
        `vertx` - the vertx instance
        `connectOptions` - the options for the connection

    - #### rxConnect

          public static Single<MSSQLConnection> rxConnect(Vertx vertx,
                                                          MSSQLConnectOptions connectOptions)

      Create a connection to SQL Server with the given `connectOptions`.
      Parameters:
        `vertx` - the vertx instance
        `connectOptions` - the options for the connection
      Returns:

    - #### connect

          public static void connect(Vertx vertx,
                                     String connectionUri,
                                     Handler<AsyncResult<MSSQLConnection>> handler)

      Like `connect(io.vertx.rxjava.core.Vertx, io.vertx.mssqlclient.MSSQLConnectOptions, io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.rxjava.mssqlclient.MSSQLConnection>>)` with options built from `connectionUri`.
      Parameters:
        `vertx` -
        `connectionUri` -
        `handler` -

    - #### connect

          public static void connect(Vertx vertx,
                                     String connectionUri)

      Like `connect(io.vertx.rxjava.core.Vertx, io.vertx.mssqlclient.MSSQLConnectOptions, io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.rxjava.mssqlclient.MSSQLConnection>>)` with options built from `connectionUri`.
      Parameters:
        `vertx` -
        `connectionUri` -

    - #### rxConnect

          public static Single<MSSQLConnection> rxConnect(Vertx vertx,
                                                          String connectionUri)

      Like `connect(io.vertx.rxjava.core.Vertx, io.vertx.mssqlclient.MSSQLConnectOptions, io.vertx.core.Handler<io.vertx.core.AsyncResult<io.vertx.rxjava.mssqlclient.MSSQLConnection>>)` with options built from `connectionUri`.
      Parameters:
        `vertx` -
        `connectionUri` -
      Returns:

    - #### prepare

          public MSSQLConnection prepare(String s,
                                         Handler<AsyncResult<PreparedStatement>> handler)

      Description copied from class: `SqlConnection`
      Create a prepared statement using the given `sql` string.
      Overrides:
        `prepare` in class `SqlConnection`
      Parameters:
        `s` -
        `handler` -
      Returns:

    - #### prepare

          public MSSQLConnection prepare(String s)

      Description copied from class: `SqlConnection`
      Create a prepared statement using the given `sql` string.
      Overrides:
        `prepare` in class `SqlConnection`
      Parameters:
        `s` -
      Returns:

    - #### rxPrepare

          public Single<PreparedStatement> rxPrepare(String s)

      Description copied from class: `SqlConnection`
      Create a prepared statement using the given `sql` string.
      Overrides:
        `rxPrepare` in class `SqlConnection`
      Parameters:
        `s` -
      Returns:

    - #### exceptionHandler

          public MSSQLConnection exceptionHandler(Handler<Throwable> handler)

      Description copied from class: `SqlConnection`
      Set an handler called with connection errors.
      Overrides:
        `exceptionHandler` in class `SqlConnection`
      Parameters:
        `handler` -
      Returns:

    - #### closeHandler

          public MSSQLConnection closeHandler(Handler<Void> handler)

      Description copied from class: `SqlConnection`
      Set an handler called when the connection is closed.
      Overrides:
        `closeHandler` in class `SqlConnection`
      Parameters:
        `handler` -
      Returns:

    - #### infoHandler

          public MSSQLConnection infoHandler(Handler<MSSQLInfo> handler)

      Set a handler called when the connection receives an informational message from the server.
      Parameters:
        `handler` - the handler
      Returns:
        a reference to this, so the API can be used fluently

    - #### cast

          public static MSSQLConnection cast(SqlConnection sqlConnection)

      Cast a to `MSSQLConnection`. This is mostly useful for Vert.x generated APIs like RxJava/Mutiny.
      Parameters:
        `sqlConnection` - the connection to cast
      Returns:
        a `instance`

    - #### newInstance

          public static MSSQLConnection newInstance(MSSQLConnection arg)

Copyright © 2025 Eclipse. All rights reserved.